Subject: Re: [Lurk] Lurk: new undetectable backdoor possibility?

From: Dmitry Belyavsky <[email-masked]>
Date: Mon, 11 Jul 2016 16:52:13 +0300

Dear Thomas,

The attack I describe needs collusion of the untrusted principal as we did
not trust them our private key...

On Thu, Jun 30, 2016 at 4:05 PM, Fossati, Thomas (Nokia - GB) <
[email-masked]> wrote:

> Hi Dmitry,
>
> The attack you describe still needs collusion of one of the principals,
> and it's therefore outside the usual internet threat model (Section 3 of
> RFC 3552).
>
> Cheers, t
>
> From: Lurk <[email-masked]> on behalf of Dmitry Belyavsky <
> [email-masked]>
> Date: Thursday, 30 June 2016 13:24
> To: "Fossati, Thomas (Nokia - GB)" <[email-masked]>
> Cc: LURK BoF <[email-masked]>
> Subject: Re: [Lurk] Lurk: new undetectable backdoor possibility?
>
> Hello Thomas,
>
> On Thu, Jun 30, 2016 at 3:04 PM, Fossati, Thomas (Nokia - GB) <
> [email-masked]> wrote:
>
>> Hi Dmitry
>>
>> I think I found a new undetectable LURK-specific backdoor possibility.
>>
>> The (government-related) attacker installs an extra frontend server and
>> redirects a victim DNS requests to it.
>>
>> The only thing the attacker needs from the key owner to perform this
>> attack is a certificate to make the attacker's frontend server capable to
>> send requests and obtain responses from the key server.
>>
>> The attack described does not cause the Key owner's key compromise and
>> does not require to issue a bogus certificate for the Key owner's domain.
>> So if I am not mistaken, the attack is technically undetectable if the Key
>> owner agrees to provide such a possibility.
>>
>> Please correct me if I am wrong.
>>
>>
>> Is it an attack on the protocol if you need to collude with the Key owner
>> to run it successfully?
>>
>
> No, the attack I describe is not an attack on the protocol.
>
> It is an attack that can be named "Key abuse". And it is much "cheaper" to
> the Key owner than just providing a private key.
>
>
> --
> SY, Dmitry Belyavsky
>

-- 
SY, Dmitry Belyavsky